JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
LowLevelGraphicsPostScriptRenderer::SavedState Struct Reference
juce_graphics » contexts

Describes a saved state. More...

`#include <juce_LowLevelGraphicsPostScriptRenderer.h>`

## Public Member Functions
| SavedState ()
| SavedState (const SavedState &)=default
SavedState & | operator= (const SavedState &)=delete

## Public Attributes
RectangleList< int > | clip
int | xOffset
int | yOffset
FillType | fillType
Font | font

## Detailed Description

Describes a saved state.

## Constructor & Destructor Documentation

## ◆ SavedState() [1/2]

LowLevelGraphicsPostScriptRenderer::SavedState::SavedState | ( |  | ) |

## ◆ SavedState() [2/2]

LowLevelGraphicsPostScriptRenderer::SavedState::SavedState | ( | const SavedState & |  | ) |
| default

## Member Function Documentation

## ◆ operator=()

SavedState & LowLevelGraphicsPostScriptRenderer::SavedState::operator= | ( | const SavedState & |  | ) |
| delete

## Member Data Documentation

## ◆ clip

RectangleList<int> LowLevelGraphicsPostScriptRenderer::SavedState::clip

## ◆ xOffset

int LowLevelGraphicsPostScriptRenderer::SavedState::xOffset

## ◆ yOffset

int LowLevelGraphicsPostScriptRenderer::SavedState::yOffset

## ◆ fillType

FillType LowLevelGraphicsPostScriptRenderer::SavedState::fillType

## ◆ font

Font LowLevelGraphicsPostScriptRenderer::SavedState::font

The documentation for this struct was generated from the following file:

- juce_LowLevelGraphicsPostScriptRenderer.h